<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme and one
 * of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query,
 * e.g., it puts together the home page when no home.php file exists.
 *
 * Template Name: Auto Load
 */

if(!is_user_logged_in()){
    auth_redirect();
}
global  $field_car;
$Settings = new PIXAD_Settings();
$validate = $Settings->getSettings( 'WP_OPTIONS', '_pixad_autos_validation', true ); // Get validation settings

$custom = isset ($wp_query) ? get_post_custom($wp_query->get_queried_object_id()) : '';
$layout = isset ($custom['pix_page_layout']) ? $custom['pix_page_layout'][0] : '2';
$sidebar = isset ($custom['pix_selected_sidebar'][0]) ? $custom['pix_selected_sidebar'][0] : 'sidebar-1'; //<?php echo esc_url( admin_url('admin-post.php') );
if (!is_active_sidebar($sidebar)) $layout = '1';
add_action( 'wp_enqueue_scripts', 'autozone_enqueue_media' );
?>

<?php get_header();?>
    <section class="page-content" id="pageContent">
        <div class="container">
            <div class="row">
                
                
                	<div class="col-lg-3 col-md-4 col-sm-5 col-xs-6 sticky-bar">
						<aside class="b-submit__aside">
							<div class="b-submit__aside-step step01 m-active">
								<h3><?php esc_html_e( 'Step 1', 'autozone' ); ?></h3>
								<div class="b-submit__aside-step-inner m-active clearfix">
									<div class="b-submit__aside-step-inner-icon">
										<span class="fa fa-car"></span>
									</div>
									<div class="b-submit__aside-step-inner-info">
										<h4><?php esc_html_e( 'Add YOUR Vehicle', 'autozone' ); ?></h4>
										<p><?php esc_html_e( 'Select your vehicle and add info', 'autozone' ); ?></p>
										<div class="b-submit__aside-step-inner-info-triangle"></div>
									</div> 
								</div>
                               
							</div>
							<div class="b-submit__aside-step step02">
								<h3><?php esc_html_e( 'Step 2', 'autozone' ); ?></h3>
                             
								<div class="b-submit__aside-step-inner clearfix">
									<div class="b-submit__aside-step-inner-icon">
										<span class="fa fa-list-ul"></span>
									</div>
									<div class="b-submit__aside-step-inner-info">
										<h4><?php esc_html_e( 'select details', 'autozone' ); ?></h4>
										<p><?php esc_html_e( 'Choose vehicle specifications', 'autozone' ); ?></p>
                                        <div class="b-submit__aside-step-inner-info-triangle"></div>
									</div>
								</div>
                                 
							</div>
							<div class="b-submit__aside-step step03">
								<h3><?php esc_html_e( 'Step 3', 'autozone' ); ?></h3>
                  
								<div class="b-submit__aside-step-inner clearfix">
									<div class="b-submit__aside-step-inner-icon">
										<span class="fa fa-photo"></span>
									</div>
									<div class="b-submit__aside-step-inner-info">
										<h4><?php esc_html_e( 'Photos and videos', 'autozone' ); ?></h4>
										<p><?php esc_html_e( 'Add images / videos of vehicle', 'autozone' ); ?></p>
                                        <div class="b-submit__aside-step-inner-info-triangle"></div>
									</div>
								</div>
                      
							</div>
							<div class="b-submit__aside-step step04">
								<h3><?php esc_html_e( 'Step 4', 'autozone' ); ?></h3>
                     
								<div class="b-submit__aside-step-inner clearfix">
									<div class="b-submit__aside-step-inner-icon">
										<span class="fa fa-user"></span>
									</div>
									<div class="b-submit__aside-step-inner-info">
										<h4><?php esc_html_e( 'Contact details', 'autozone' ); ?></h4>
										<p><?php esc_html_e( 'Choose vehicle specifications', 'autozone' ); ?></p>
                                        <div class="b-submit__aside-step-inner-info-triangle"></div>
									</div>
								</div>
                  
							</div>
							<div class="b-submit__aside-step step05">
								<h3><?php esc_html_e( 'Step 5', 'autozone' ); ?></h3>
                          
								<div class="b-submit__aside-step-inner clearfix">
									<div class="b-submit__aside-step-inner-icon">
										<span class="fa fa-globe"></span>
									</div>
									<div class="b-submit__aside-step-inner-info">
										<h4><?php esc_html_e( 'SUBMIT / PUBLISH', 'autozone' ); ?></h4>
										<p><?php esc_html_e( 'Submit for review', 'autozone' ); ?></p>
                                        <div class="b-submit__aside-step-inner-info-triangle"></div>
									</div>
								</div>
                         
							</div>
						</aside>
					</div>
                

    
           <div class="pixad-control-input col-md-8 col-sm-7 col-xs-6">
               
    

                    <form enctype="multipart/form-data" method="post" action="<?php echo esc_url( admin_url('admin-post.php') );?>">

                        <input type="hidden" name="action" value="auto_upload_form">
                        
                        
                        
                          <section class="step-section" id="step01">

                    <div class="pixad-form-horizontal">
                        
                        
                        <div class="col-md-6 col-xs-12">

                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Title', 'autozone' ); ?> <span class="required-field">*</span>
                            </label>
                            <div class="pixad-control-input">
                                <input name="auto-post-title" type="text" required placeholder="eg: Mercedes-Benz E220" value="" class="pixad-form-control">
                            </div>
                        </div>

                        <?php
                        $args = array(
                            'taxonomy'      => 'auto-model',
                            'parent'        => '0',
                            'hide_empty'    => false,
                        );
                        $autos_categories = get_terms( $args );

                        uasort($autos_categories,"autozone_ASCSort");
                        $out_makes = '';

                        ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Make', 'autozone' ); ?> <span class="required-field">*</span>
                            </label>
                            <div class="pixad-control-input">
                                <select name="auto-make" required class="pixad-form-control">
                                    <option value=""><?php esc_html_e( '-- Please Select --', 'autozone' ); ?></option>
                                    <?php  foreach ($autos_categories as $key => $auto_cat) {
                                        echo '<option value="' . esc_attr($auto_cat->slug) . '">' . wp_kses_post($auto_cat->name) . '</option>';
                                    } ?>
                                </select>
                            </div>
                        </div>

                        <?php if( isset($validate['auto-year_show']) || isset($validate['auto-year_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Made Year', 'autozone' ); ?> <?php echo isset($validate['auto-year_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <select name="auto-year" required class="pixad-form-control">
                                    <option value=""><?php esc_html_e( '-- Please Select --', 'autozone' ); ?></option>
                                    <?php pixad_get_options_range( date('Y'), 1930, '' ); ?>
                                </select>
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if( isset($validate['auto-transmission_show']) || isset($validate['auto-transmission_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Transmission', 'autozone' ); ?> <?php echo isset($validate['auto-transmission_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <select name="auto-transmission" <?php echo isset($validate['auto-transmission_req']) ? 'required' : ''; ?> class="pixad-form-control">
                                    <option value=""><?php esc_html_e( '-- Please Select --', 'autozone' ); ?></option>
                                    <option value="automatic" <?php if(pixad_get_meta('_auto_transmission')=='automatic') echo 'selected'; ?>><?php esc_html_e( 'Automatic', 'autozone' ); ?></option>
                                    <option value="manual" <?php if(pixad_get_meta('_auto_transmission')=='manual') echo 'selected'; ?>><?php esc_html_e( 'Manual', 'autozone' ); ?></option>
                                    <option value="semi-automatic" <?php if(pixad_get_meta('_auto_transmission')=='semi-automatic') echo 'selected'; ?>><?php esc_html_e( 'Semi-Automatic', 'autozone' ); ?></option>
                                </select>
                            </div>
                        </div>
                        <?php endif; ?>
                        <?php autozone_temp_field_update_car($field_car['auto-condition'], $validate); ?>
                        <?php autozone_temp_field_update_car($field_car['auto-purpose'], $validate); ?>
                        <?php autozone_temp_field_update_car($field_car['auto-drive'], $validate); ?>
                        <?php autozone_temp_field_update_car($field_car['auto-color'], $validate); ?>
                        <?php autozone_temp_field_update_car($field_car['auto-color-int'], $validate); ?>
                        <?php autozone_temp_field_update_car($field_car['auto-doors'], $validate); ?>
                            
                        </div>
                        
                        
                        <div class="col-md-6 col-xs-12">

                        <?php if( isset($validate['auto-fuel_show']) || isset($validate['auto-fuel_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Fuel Type', 'autozone' ); ?> <?php echo isset($validate['auto-fuel_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <select name="auto-fuel" <?php echo isset($validate['auto-fuel_req']) ? 'required' : ''; ?> class="pixad-form-control">
                                    <option value=""><?php esc_html_e( '-- Please Select --', 'autozone' ); ?></option>
                                    <option value="diesel" <?php if(pixad_get_meta('_auto_fuel')=='diesel') echo 'selected'; ?>><?php esc_html_e( 'Diesel', 'autozone' ); ?></option>
                                    <option value="electric" <?php if(pixad_get_meta('_auto_fuel')=='electric') echo 'selected'; ?>><?php esc_html_e( 'Electric', 'autozone' ); ?></option>
                                    <option value="petrol" <?php selected( 'petrol', pixad_get_meta('_auto_fuel'), true ); ?>><?php esc_html_e( 'Petrol', 'autozone' ); ?></option>
                                    <option value="hybrid" <?php if(pixad_get_meta('_auto_fuel')=='hybrid') echo 'selected'; ?>><?php esc_html_e( 'Hybrid', 'autozone' ); ?></option>
                                </select>
                            </div>
                        </div>
                        <?php endif; ?>
                        
                        
                        
              

                        <?php if( isset($validate['auto-mileage_show']) || isset($validate['auto-mileage_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Mileage', 'autozone' ); ?> <?php echo isset($validate['auto-mileage_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="auto-mileage" type="text" <?php echo isset($validate['auto-mileage_req']) ? 'required' : ''; ?> placeholder="eg: 100000" value="<?php echo pixad_get_meta('_auto_mileage'); ?>" class="pixad-form-control">
                                <span class="errmileage"></span>
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if( isset($validate['auto-engine_show']) || isset($validate['auto-engine_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Engine, cm3', 'autozone' ); ?> <?php echo isset($validate['auto-engine_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="auto-engine" type="text" <?php echo isset($validate['auto-engine_req']) ? 'required' : ''; ?> placeholder="eg: 1900" value="<?php echo pixad_get_meta('_auto_engine'); ?>" class="pixad-form-control">
                                <span class="errengine"></span>
                            </div>
                        </div>
                        <?php endif; ?>
                        
                        
                        
                                               <?php if( isset($validate['auto-price_show']) || isset($validate['auto-price_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Price', 'autozone' ); ?> <?php echo isset($validate['auto-price_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="auto-price" type="text" <?php echo isset($validate['auto-price_req']) ? 'required' : ''; ?> placeholder="eg: 10000" value="<?php echo pixad_get_meta('_auto_price'); ?>" list="price_option" class="pixad-form-control">
                                <datalist id="price_option">
                                  <option value="<?php esc_attr_e( 'Request', 'autozone' ); ?>">
                                  <option value="<?php esc_attr_e( 'Reserved', 'autozone' ); ?>">
                                </datalist>
                                <span class="errprice"></span>
                            </div>
                        </div>
                        <?php endif; ?>
                        
                        <?php autozone_temp_field_update_car($field_car['auto-warranty'], $validate); ?>
                        <?php autozone_temp_field_update_car($field_car['auto-vin'], $validate); ?>
                        <?php autozone_temp_field_update_car($field_car['auto-horsepower'], $validate); ?>
                        <?php autozone_temp_field_update_car($field_car['auto-seats'], $validate); ?>
                        <?php autozone_temp_field_update_car($field_car['auto-version'], $validate); ?>
                        
                        </div>
                        
                        
                        </section>
                        
                       
                        <section class="step-section" id="step02">
                            
                            
                        
                         <div class="col-md-12 col-xs-12" >

                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Body Style', 'autozone' ); ?>
                            </label>
                            <div class="pixad-control-input">
                            <?php
                                $args_body = array( 'taxonomy' => 'auto-body', 'hide_empty' => '0');
                                $auto_body_cat = get_categories($args_body);
                                $body_out = '';
                                foreach ($auto_body_cat as $category) {
                                    $figure = $body_class = '';
                                    if (is_object($category)) {
                                        $t_id = $category->term_id;
                                        $auto_cat_meta = get_option("auto_body_$t_id");
                                        $auto_cat_thumb_url = get_option("pixad_body_thumb$t_id");
                                        if($auto_cat_thumb_url){
                                            $img_src = wp_get_attachment_image_src( autozone_get_image_id( $auto_cat_thumb_url ), 'medium' );
                                            $figure = '<img src="'.esc_url($img_src[0]).'" alt="'.esc_attr($category->name).'">';
                                            $body_class = 'pixad-body-image';
                                        } elseif(isset($auto_cat_meta['pixad_body_icon'])){
                                            $figure = '<i class="icon '. esc_attr($auto_cat_meta['pixad_body_icon']) .'"></i>';
                                            $body_class = 'pixad-body-icon';
                                        }
                                        $body_out .= '<li class="pixad-exist pixad-body-upload '.esc_attr($body_class).'"> <input type="checkbox" name="auto-body[]" id="'.esc_attr($category->slug).'" value="'.esc_attr($category->slug).'"><label for="'.esc_attr($category->slug).'">' .wp_kses_post($figure) .' <span>'. wp_kses_post($category->name) . '</span></label> </li>';
                                    }
                                }
                                if( $body_out != '')
                                    echo '<ul class="pixad-form-control pixad-features-list pixad-features-upload pixad-body-styles">'.($body_out).'</ul>';
                            ?>
                            </div>
                        </div>

                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Car Equipment', 'autozone' ); ?>
                            </label>
                            <div class="pixad-control-input">
                            <?php
                                $args_eq = array( 'taxonomy' => 'auto-equipment', 'hide_empty' => '0');
                                $auto_equipment_cat = get_categories($args_eq);
                                $equip_out = '';
                                foreach ($auto_equipment_cat as $category) {
                                    if (is_object($category)) {
                                        $t_id = $category->term_id;
                                        $equipment_icon = get_option("auto_equipment_icon_$t_id");
                                        $class_icon_set = $equipment_icon != '' ? 'equipment-icon-set' : '';
                                        $feature_icon = $equipment_icon != '' ? '<i class="icon '.esc_attr($equipment_icon).'"></i>' : '';
                                        $equip_out .= '<li class="pixad-exist '.esc_attr($class_icon_set).'"> <input type="checkbox" name="auto-equipment[]" id="'.esc_attr($category->slug).'" value="'.esc_attr($category->slug).'"><label for="'.esc_attr($category->slug).'">' . wp_kses_post($feature_icon.$category->name) . '</label> </li>';
                                    }
                                }
                                if( $equip_out != '')
                                    echo '<ul class="pixad-form-control pixad-features-list pixad-features-upload">'.($equip_out).'</ul>';
                            ?>
                            </div>
                        </div>

                </div>
                            
                            
                            
                        </section>
                        
                        

                    <section class="step-section" id="step03">
                      <div class="col-md-12 col-xs-12" >
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Main photo', 'autozone' ); ?>
                            </label>
                            <?php 
                            $html = '<input id="_thumbnail_id" type="hidden" name="_thumbnail_id" value="-1" />';
                            $html .= '<input id="manage_thumbnail_id" title="Manage gallery" type="button" value="Manage gallery" />';
                            $html .= '<input id="clear_thumbnail_id" title="Clear gallery" type="button" value="Clear gallery" />';
                            echo $html;
                             ?>
                            
                        </div>

                        <div class="pixad-form-group">
                            <label class="pixad-control-label"><?php esc_html_e( 'Gallery photos', 'autozone' ); ?></label>
                            <div class="pixad-control-input">
                            <?php 

                            if(isset($values['pixad_auto_gallery'])) {
                                $ids = json_decode(base64_decode($values['pixad_auto_gallery'][0]));
                            }
                            else {
                                $ids = array();
                            }
                            $cs_ids = is_array($ids) ? implode(",", $ids) : '';
                            $html  = do_shortcode('[gallery ids="'.$cs_ids.'"]');
                            $html .= '<input id="pixad_auto_gallery_ids" type="hidden" name="pixad_auto_gallery_ids" value="-1" />';
                            $html .= '<input id="manage_gallery" title="Manage gallery" type="button" value="Manage gallery" />';
                            $html .= '<input id="clear_gallery" title="Clear gallery" type="button" value="Clear gallery" />';
                            echo $html;

                             ?>
                            </div>
                        </div>
                        <div class="pixad-form-group">
                            <?php $video = wp_unslash( json_decode( base64_decode(pixad_get_meta('_auto_video_code'))));?>
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'YouTube Video URL', 'autozone' ); ?>
                            </label>
                            <div class="pixad-control-input">
                                <input type="text" class="regular-text pixad-form-control" placeholder="<?php esc_html_e( 'Please Enter A Hosted Video URL Of Your Vehicle', 'autozone' ); ?>" name="auto_video_code" id="auto_video_code" value="<?php echo esc_attr( $video); ?>">
                            </div>
                        </div>
                        <?php wp_nonce_field( 'seller_auto_upload', 'seller_auto_upload_nonce' ); ?>
                      </div>
                    </section>
                        
                        
                        
                          <section class="step-section" id="step04">

                        
                        <div class="col-md-6 col-xs-12" >

                        <?php //if( isset($validate['seller-first-name_show']) || isset($validate['seller-first-name_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller name', 'autozone' ); ?> <?php echo isset($validate['seller-first-name_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="seller-first-name" type="text" <?php echo isset($validate['seller-first-name_req']) ? 'required' : ''; ?> placeholder="eg: John" value="<?php echo pixad_get_meta('_seller_first_name'); ?>" class="pixad-form-control">
                            </div>
                        </div>
                        <?php //endif; ?>

                         <?php if( isset($validate['last-name_show']) || isset($validate['last-name_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller last name', 'autozone' ); ?> <?php echo isset($validate['seller-last-name_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="seller-last-name" placeholder="eg: Doe" type="text" <?php echo isset($validate['seller-last-name_req']) ? 'required' : ''; ?> value="" class="pixad-form-control">
                            </div>
                        </div>
                         <?php endif; ?>

                        <?php if( isset($validate['seller-phone_show']) || isset($validate['seller-phone_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller phone', 'autozone' ); ?> <?php echo isset($validate['seller-phone_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="seller-phone" type="text" <?php echo isset($validate['seller-phone_req']) ? 'required' : ''; ?> placeholder="eg: +38160656545" value="<?php echo pixad_get_meta('_seller_phone'); ?>" class="pixad-form-control">
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if( isset($validate['seller-country_show']) || isset($validate['seller-country_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller country', 'autozone' ); ?> <?php echo isset($validate['seller-country_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                             <select name="seller-country" class="pixad-form-control">
                                <option value=""><?php _e( '-- Please Select --', 'autozone' ); ?></option>
                                <?php $country = new PIXAD_Country(); $country->option_output( pixad_get_meta('_seller_country') ); ?>
                            </select>
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if( isset($validate['seller-state_show']) || isset($validate['seller-state_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller state', 'autozone' ); ?> <?php echo isset($validate['seller-state_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="seller-state" placeholder="eg: Texas" type="text" <?php echo isset($validate['seller-state_req']) ? 'required' : ''; ?> value="<?php echo pixad_get_meta('_seller_state'); ?>" class="pixad-form-control">
                            </div>
                        </div>
                        <?php endif; ?>
                            
                        </div>
                        
                        
                        
                        <div class="col-md-6 col-xs-12">

                        <?php if( isset($validate['seller-location_show']) || isset($validate['seller-location_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller location', 'autozone' ); ?> <?php echo isset($validate['seller-location_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="seller-location" type="text" <?php echo isset($validate['seller-location_req']) ? 'required' : ''; ?> placeholder="eg: 1410 W Cheltenham Ave, Philadelphia, PA 19126, United States" value="<?php echo pixad_get_meta('_seller_location'); ?>" class="pixad-form-control">
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if( isset($validate['seller-location-lat_show']) || isset($validate['seller-location-lat_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller location latitude', 'autozone' ); ?> <?php echo isset($validate['seller-location-lat_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="seller-location-lat" type="text" <?php echo isset($validate['seller-location-lat_req']) ? 'required' : ''; ?> placeholder="eg: 40.0632723" value="<?php echo pixad_get_meta('_seller_location_lat'); ?>" class="pixad-form-control">
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if( isset($validate['seller-location-long_show']) || isset($validate['seller-location-long_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller location longitude', 'autozone' ); ?> <?php echo isset($validate['seller-location-long_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="seller-location-long" type="text" <?php echo isset($validate['seller-location-long_req']) ? 'required' : ''; ?> placeholder="eg: -75.1411223" value="<?php echo pixad_get_meta('_seller_location_long'); ?>" class="pixad-form-control">
                            </div>
                        </div>
                        <?php endif; ?>

                                                <?php if( isset($validate['seller-company_show']) || isset($validate['seller-company_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller company', 'autozone' ); ?> <?php echo isset($validate['seller-company_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="seller-company" placeholder="eg: General Motors" type="text" <?php echo isset($validate['seller-company_req']) ? 'required' : ''; ?> value="" class="pixad-form-control">
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if( isset($validate['seller-town_show']) || isset($validate['seller-town_req']) ): ?>
                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Seller town', 'autozone' ); ?> <?php echo isset($validate['seller-town_req']) ? '<span class="required-field">*</span>' : ''; ?>
                            </label>
                            <div class="pixad-control-input">
                                <input name="seller-town" placeholder="eg: Atlanta" type="text" <?php echo isset($validate['seller-town_req']) ? 'required' : ''; ?> value="" class="pixad-form-control">
                            </div>
                        </div>
                        <?php endif; ?>
                            
                        </div>
                              
                              
                        </section>
                        
                        
                        
                          <section class="step-section" id="step05">
                        
                        
                    <div class="col-md-12 col-xs-12">

                        <div class="pixad-form-group">
                            <label class="pixad-control-label">
                                <?php esc_html_e( 'Description', 'autozone' ); ?>
                            </label>
                            <div class="pixad-control-input">
                                <textarea name="content" placeholder="Car Info" class="pixad-form-control"></textarea>
                            </div>
                            
                            <div class="pixad-control-input">
                                <input type="submit" name="submit" value="Upload Auto">
                            </div>
                            
                            
                        </div>
                              
                        
                         </div>
                              
                        </section>


                    </div>

                    </form>
    
    
                </div>

               
          
            </div>
        </div>
    </section>



<?php get_footer(); ?>